Bug 404622 - Discover crashed when closed immediately after opening
Summary: Discover crashed when closed immediately after opening
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Flatpak Backend (show other bugs)
Version: 5.15.3
Platform: Archlinux Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords: drkonqi
: 417102 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-02-20 21:30 UTC by Patrick Silva
Modified: 2020-04-03 13:58 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.18.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2019-02-20 21:30:49 UTC
Application: plasma-discover (5.15.1)

Qt Version: 5.12.1
Frameworks Version: 5.55.0
Operating System: Linux 4.20.10-arch1-1-ARCH x86_64
Distribution (Platform): Archlinux Packages

-- Information about the crash:
- What I was doing when the application crashed:
I opened Discover via kickoff and closed it immediately.
I can't reproduce consistently.

The crash can be reproduced sometimes.

-- Backtrace:
Application: Discover (plasma-discover), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f9e64a80e40 (LWP 13743))]

Thread 14 (Thread 0x7f9e36912700 (LWP 13965)):
[KCrash Handler]
#6  0x00007f9e376b40e8 in flatpak_installation_list_installed_refs_for_update () at /usr/lib/libflatpak.so.0
#7  0x00007f9e48053abe in  () at /usr/lib/qt/plugins/discover/flatpak-backend.so
#8  0x00007f9e69368a11 in  () at /usr/lib/libQt5Core.so.5
#9  0x00007f9e6936496c in  () at /usr/lib/libQt5Core.so.5
#10 0x00007f9e6848aa9d in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007f9e6904eb23 in clone () at /usr/lib/libc.so.6

Thread 13 (Thread 0x7f9e35910700 (LWP 13919)):
#0  0x00007f9e68490ef6 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f9e6936abc9 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/libQt5Core.so.5
#2  0x00007f9e6936ad07 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#3  0x00007f9e69368c2b in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f9e6936496c in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f9e6848aa9d in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f9e6904eb23 in clone () at /usr/lib/libc.so.6

Thread 12 (Thread 0x7f9e13dbb700 (LWP 13787)):
#0  0x00007f9e69043c21 in poll () at /usr/lib/libc.so.6
#1  0x00007f9e67634540 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f9e6763462e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f9e69576d04 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f9e6951fb2c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f9e69363569 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f9e6936496c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f9e6848aa9d in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f9e6904eb23 in clone () at /usr/lib/libc.so.6

Thread 11 (Thread 0x7f9e37fff700 (LWP 13765)):
#0  0x00007f9e68490ef6 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f9e6936abc9 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/libQt5Core.so.5
#2  0x00007f9e6936ad07 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#3  0x00007f9e69368c2b in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f9e6936496c in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f9e6848aa9d in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f9e6904eb23 in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7f9e4886b700 (LWP 13764)):
#0  0x00007f9e6903f7a4 in read () at /usr/lib/libc.so.6
#1  0x00007f9e675e2971 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f9e676330b0 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f9e676344e6 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f9e6763462e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f9e69576d04 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f9e6951fb2c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007f9e69363569 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007f9e6936496c in  () at /usr/lib/libQt5Core.so.5
#9  0x00007f9e6848aa9d in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007f9e6904eb23 in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7f9e490e6700 (LWP 13763)):
#0  0x00007f9e6903f7a4 in read () at /usr/lib/libc.so.6
#1  0x00007f9e675e2971 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f9e676330b0 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f9e676344e6 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f9e6763462e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f9e69576d04 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f9e6951fb2c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007f9e69363569 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007f9e6936496c in  () at /usr/lib/libQt5Core.so.5
#9  0x00007f9e6848aa9d in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007f9e6904eb23 in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7f9e499d9700 (LWP 13750)):
#0  0x00007f9e69043c21 in poll () at /usr/lib/libc.so.6
#1  0x00007f9e67634540 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f9e676355c2 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007f9e4b3d1cb8 in  () at /usr/lib/libgio-2.0.so.0
#4  0x00007f9e6760f67b in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007f9e6848aa9d in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f9e6904eb23 in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7f9e4a1da700 (LWP 13749)):
#0  0x00007f9e69043c21 in poll () at /usr/lib/libc.so.6
#1  0x00007f9e67634540 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f9e6763462e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f9e67634682 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f9e6760f67b in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007f9e6848aa9d in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f9e6904eb23 in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7f9e50bdd700 (LWP 13748)):
#0  0x00007f9e69043c21 in poll () at /usr/lib/libc.so.6
#1  0x00007f9e67634540 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f9e6763462e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f9e69576d04 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f9e6951fb2c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f9e69363569 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f9e6af8be7b in  () at /usr/lib/libQt5Quick.so.5
#7  0x00007f9e6936496c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f9e6848aa9d in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f9e6904eb23 in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7f9e51e70700 (LWP 13747)):
#0  0x00007f9e68490afc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f9e52490c84 in  () at /usr/lib/dri/i965_dri.so
#2  0x00007f9e524909a8 in  () at /usr/lib/dri/i965_dri.so
#3  0x00007f9e6848aa9d in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f9e6904eb23 in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7f9e60f61700 (LWP 13746)):
#0  0x00007f9e675e23b9 in g_mutex_lock () at /usr/lib/libglib-2.0.so.0
#1  0x00007f9e67632fbe in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#2  0x00007f9e676344e6 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f9e6763462e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f9e69576d04 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f9e6951fb2c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f9e69363569 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#7  0x00007f9e69d40969 in  () at /usr/lib/libQt5Qml.so.5
#8  0x00007f9e6936496c in  () at /usr/lib/libQt5Core.so.5
#9  0x00007f9e6848aa9d in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007f9e6904eb23 in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7f9e62172700 (LWP 13745)):
#0  0x00007f9e6903f7a4 in read () at /usr/lib/libc.so.6
#1  0x00007f9e675e2971 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f9e676330b0 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f9e676344e6 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f9e6763462e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f9e69576d04 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f9e6951fb2c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007f9e69363569 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007f9e6ab0cba6 in  () at /usr/lib/libQt5DBus.so.5
#9  0x00007f9e6936496c in  () at /usr/lib/libQt5Core.so.5
#10 0x00007f9e6848aa9d in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007f9e6904eb23 in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7f9e63a5e700 (LWP 13744)):
#0  0x00007f9e69043c21 in poll () at /usr/lib/libc.so.6
#1  0x00007f9e67536630 in  () at /usr/lib/libxcb.so.1
#2  0x00007f9e675382db in xcb_wait_for_event () at /usr/lib/libxcb.so.1
#3  0x00007f9e64637949 in  () at /usr/lib/libQt5XcbQpa.so.5
#4  0x00007f9e6936496c in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f9e6848aa9d in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f9e6904eb23 in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7f9e64a80e40 (LWP 13743)):
#0  0x00007f9e68490afc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f9e6936ac4c in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/libQt5Core.so.5
#2  0x00007f9e69367438 in QThreadPoolPrivate::waitForDone(QDeadlineTimer const&) () at /usr/lib/libQt5Core.so.5
#3  0x00007f9e69367844 in QThreadPoolPrivate::waitForDone(int) () at /usr/lib/libQt5Core.so.5
#4  0x00007f9e693678dd in QThreadPool::~QThreadPool() () at /usr/lib/libQt5Core.so.5
#5  0x00007f9e4804d955 in  () at /usr/lib/qt/plugins/discover/flatpak-backend.so
#6  0x00007f9e4804da79 in  () at /usr/lib/qt/plugins/discover/flatpak-backend.so
#7  0x00007f9e6b50f66e in ResourcesModel::~ResourcesModel() () at /usr/lib/plasma-discover/libDiscoverCommon.so
#8  0x00007f9e6b50f6da in ResourcesModel::~ResourcesModel() () at /usr/lib/plasma-discover/libDiscoverCommon.so
#9  0x00007f9e6954c171 in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5
#10 0x00007f9e6a5e2e24 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#11 0x00007f9e6a5ea6e1 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#12 0x00007f9e69520e99 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#13 0x00007f9e69523f38 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/libQt5Core.so.5
#14 0x00007f9e69527e50 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#15 0x0000556d9003b6ca in  ()
#16 0x00007f9e68f77223 in __libc_start_main () at /usr/lib/libc.so.6
#17 0x0000556d9003bc8e in _start ()
[Inferior 1 (process 13743) detached]

Reported using DrKonqi
Comment 1 Aleix Pol 2019-10-09 12:03:35 UTC
Can you please confirm that you're still getting this crash? I'd seen it in the past but I can't reproduce anymore.
Comment 2 Patrick Silva 2019-10-09 12:56:49 UTC
Discover 5.17 beta crashed on Arch Linux after several attempts to reproduce.

Application: Discover (plasma-discover), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f48eadf6c80 (LWP 9713))]

Thread 15 (Thread 0x7f488a7fc700 (LWP 9741)):
#0  0x00007f48ef78de9d in syscall () at /usr/lib/libc.so.6
#1  0x00007f48edd1211b in g_cond_wait_until () at /usr/lib/libglib-2.0.so.0
#2  0x00007f48edd8ff63 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f48edd90154 in g_async_queue_timeout_pop () at /usr/lib/libglib-2.0.so.0
#4  0x00007f48edd3708a in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007f48edd3dc11 in  () at /usr/lib/libglib-2.0.so.0
#6  0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 14 (Thread 0x7f489f7fe700 (LWP 9729)):
#0  0x00007f48ef7889ef in poll () at /usr/lib/libc.so.6
#1  0x00007f48edd61180 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f48edd61251 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f48efd2fa1c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f48efcd64ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f48efb08385 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f48efb095b0 in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 13 (Thread 0x7f48c93e2700 (LWP 9726)):
[KCrash Handler]
#6  0x00007f48c9ecf5a8 in flatpak_installation_list_installed_refs_for_update () at /usr/lib/libflatpak.so.0
#7  0x00007f48d40701d6 in  () at /usr/lib/qt/plugins/discover/flatpak-backend.so
#8  0x00007f48efb0c9a2 in  () at /usr/lib/libQt5Core.so.5
#9  0x00007f48efb095b0 in  () at /usr/lib/libQt5Core.so.5
#10 0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 12 (Thread 0x7f48c9be3700 (LWP 9725)):
#0  0x00007f48ee929f7a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f48efb0f5cc in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/libQt5Core.so.5
#2  0x00007f48efb0f719 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#3  0x00007f48efb0cb9b in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f48efb095b0 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 11 (Thread 0x7f48ca7ae700 (LWP 9724)):
#0  0x00007f48ee929f7a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f48efb0f5cc in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/libQt5Core.so.5
#2  0x00007f48efb0f719 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#3  0x00007f48efb0cb9b in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f48efb095b0 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7f48caffd700 (LWP 9723)):
#0  0x00007f48ee929f7a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f48efb0f5cc in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/libQt5Core.so.5
#2  0x00007f48efb0f719 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#3  0x00007f48efb0cb9b in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f48efb095b0 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7f48cb7fe700 (LWP 9722)):
#0  0x00007f48ef7a0557 in clock_gettime () at /usr/lib/libc.so.6
#1  0x00007f48efd2f302 in  () at /usr/lib/libQt5Core.so.5
#2  0x00007f48efd2dbea in QTimerInfoList::updateCurrentTime() () at /usr/lib/libQt5Core.so.5
#3  0x00007f48efd2e1b6 in QTimerInfoList::timerWait(timespec&) () at /usr/lib/libQt5Core.so.5
#4  0x00007f48efd2f75f in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f48edd60a60 in g_main_context_prepare () at /usr/lib/libglib-2.0.so.0
#6  0x00007f48edd610a6 in  () at /usr/lib/libglib-2.0.so.0
#7  0x00007f48edd61251 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#8  0x00007f48efd2fa1c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#9  0x00007f48efcd64ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#10 0x00007f48efb08385 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#11 0x00007f48efb095b0 in  () at /usr/lib/libQt5Core.so.5
#12 0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#13 0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7f48cbfff700 (LWP 9721)):
#0  0x00007f48efd2f7d8 in  () at /usr/lib/libQt5Core.so.5
#1  0x00007f48edd5f922 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#2  0x00007f48edd61128 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f48edd61251 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f48efd2fa1c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f48efcd64ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f48efb08385 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#7  0x00007f48efb095b0 in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7f48d49e8700 (LWP 9720)):
#0  0x00007f48ef7889ef in poll () at /usr/lib/libc.so.6
#1  0x00007f48edd61180 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f48edd62123 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007f48ed410b48 in  () at /usr/lib/libgio-2.0.so.0
#4  0x00007f48edd3dc11 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7f48d51e9700 (LWP 9719)):
#0  0x00007f48ef7889ef in poll () at /usr/lib/libc.so.6
#1  0x00007f48edd61180 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f48edd61251 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f48edd612a2 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f48edd3dc11 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7f48e0964700 (LWP 9718)):
#0  0x00007f48ee929c45 in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f48e100f66c in  () at /usr/lib/dri/i965_dri.so
#2  0x00007f48e100f268 in  () at /usr/lib/dri/i965_dri.so
#3  0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7f48e35ef700 (LWP 9717)):
#0  0x00007f48ef7889ef in poll () at /usr/lib/libc.so.6
#1  0x00007f48edd61180 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f48edd61251 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f48efd2fa1c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f48efcd64ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f48efb08385 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f48f0333849 in  () at /usr/lib/libQt5Qml.so.5
#7  0x00007f48efb095b0 in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7f48e8a62700 (LWP 9716)):
#0  0x00007f48edd5868f in g_source_ref () at /usr/lib/libglib-2.0.so.0
#1  0x00007f48edd5f6c2 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f48edd5f83f in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f48edd61128 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f48edd61251 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f48efd2fa1c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f48efcd64ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007f48efb08385 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007f48f1166b37 in  () at /usr/lib/libQt5DBus.so.5
#9  0x00007f48efb095b0 in  () at /usr/lib/libQt5Core.so.5
#10 0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7f48e9fd5700 (LWP 9715)):
#0  0x00007f48ef7889ef in poll () at /usr/lib/libc.so.6
#1  0x00007f48edc2d630 in  () at /usr/lib/libxcb.so.1
#2  0x00007f48edc2f2db in xcb_wait_for_event () at /usr/lib/libxcb.so.1
#3  0x00007f48ea99a101 in  () at /usr/lib/libQt5XcbQpa.so.5
#4  0x00007f48efb095b0 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f48ee9234cf in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f48ef7932d3 in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7f48eadf6c80 (LWP 9713)):
#0  0x00007f48ee929c45 in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f48efb0f660 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /usr/lib/libQt5Core.so.5
#2  0x00007f48efb0c098 in QThreadPoolPrivate::waitForDone(QDeadlineTimer const&) () at /usr/lib/libQt5Core.so.5
#3  0x00007f48efb0c475 in QThreadPoolPrivate::waitForDone(int) () at /usr/lib/libQt5Core.so.5
#4  0x00007f48efb0c50d in QThreadPool::~QThreadPool() () at /usr/lib/libQt5Core.so.5
#5  0x00007f48d40684c5 in  () at /usr/lib/qt/plugins/discover/flatpak-backend.so
#6  0x00007f48d4068599 in  () at /usr/lib/qt/plugins/discover/flatpak-backend.so
#7  0x00007f48f1a6a13e in ResourcesModel::~ResourcesModel() () at /usr/lib/plasma-discover/libDiscoverCommon.so
#8  0x00007f48f1a6a1aa in ResourcesModel::~ResourcesModel() () at /usr/lib/plasma-discover/libDiscoverCommon.so
#9  0x00007f48efd04261 in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5
#10 0x00007f48f0c124f5 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#11 0x00007f48f0c1be11 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#12 0x00007f48efcd79c2 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#13 0x00007f48efcda739 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/libQt5Core.so.5
#14 0x00007f48efcde340 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#15 0x000055f60c1d26ed in  ()
#16 0x00007f48ef6bb153 in __libc_start_main () at /usr/lib/libc.so.6
#17 0x000055f60c1d2cae in _start ()
[Inferior 1 (process 9713) detached]
Comment 3 Aleix Pol 2019-10-10 14:14:47 UTC
:( drat, I guess I'll have to try harder.
Comment 4 Aleix Pol 2020-01-20 15:40:05 UTC
I'm unable to reproduce this anymore, can you verify?
Comment 5 Patrick Silva 2020-01-20 15:50:42 UTC
I can't test until bug 416394 is fixed :(
Comment 6 Aleix Pol 2020-02-21 15:51:32 UTC
*** Bug 417102 has been marked as a duplicate of this bug. ***
Comment 7 Aleix Pol 2020-03-09 19:08:02 UTC
Git commit d55a38c935355c3b3e6ee8d6a1bad078113094d5 by Aleix Pol.
Committed on 09/03/2020 at 19:06.
Pushed by apol into branch 'Plasma/5.18'.

flatpak: make sure we don't issue new queries after cancelling

M  +3    -0    libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp

https://commits.kde.org/discover/d55a38c935355c3b3e6ee8d6a1bad078113094d5
Comment 8 Patrick Silva 2020-04-03 11:50:39 UTC
bug 417102 marked as duplicate happened again on Neon unstable.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.18.80
KDE Frameworks Version: 5.69.0
Qt Version: 5.14.1

Application: Discover (plasma-discover), signal: Segmentation fault
Content of s_kcrashErrorMessage: [Current thread is 1 (Thread 0x7fab37a8e940 (LWP 15312))]
[KCrash Handler]
#7  0x00007faaf7339767 in  () at /usr/lib/x86_64-linux-gnu/libflatpak.so.0
#8  0x00007faaf7352578 in flatpak_installation_list_installed_refs () at /usr/lib/x86_64-linux-gnu/libflatpak.so.0
#9  0x00007faaf73549c2 in flatpak_installation_list_installed_refs_for_update () at /usr/lib/x86_64-linux-gnu/libflatpak.so.0
#10 0x00007faaf75e8b7d in FlatpakBackend::<lambda()>::operator() (__closure=0x5632de8d75f8) at ./libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp:811
#12 0x00007faaf75e8b7d in QtConcurrent::RunFunctionTask<_GPtrArray*>::run() (this=0x5632de8d75d0) at /usr/include/x86_64-linux-gnu/qt5/QtConcurrent/qtconcurrentrunbase.h:108
#13 0x00007fab3336bf42 in QThreadPoolThread::run() (this=0x5632de5cd230) at thread/qthreadpool.cpp:99
#14 0x00007fab333687ec in QThreadPrivate::start(void*) (arg=0x5632de5cd230) at thread/qthread_unix.cpp:342
#15 0x00007fab2f1936db in start_thread (arg=0x7faa924bf700) at pthread_create.c:463
#16 0x00007fab32c5d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007fab2d03a2b0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fab2cff50b7 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fab2cff5570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fab2cff56dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fab335b70db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7faa88000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fab3355663a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7faa92ffdc60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#7  0x00007fab33367317 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#8  0x00007fab333687ec in QThreadPrivate::start(void*) (arg=0x5632dd9a52a0) at thread/qthread_unix.cpp:342
#9  0x00007fab2f1936db in start_thread (arg=0x7faa92ffe700) at pthread_create.c:463
#10 0x00007fab32c5d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007fab3336ad44 in QtLinuxFutex::_q_futex(int*, int, int, unsigned long long, int*, int) (val3=0, addr2=0x0, val2=0, val=<optimized out>, op=0, addr=<optimized out>) at thread/qfutex_p.h:116
#2  0x00007fab3336ad44 in QtLinuxFutex::futexWait<QBasicAtomicInteger<unsigned int> >(QBasicAtomicInteger<unsigned int>&, QBasicAtomicInteger<unsigned int>::Type) (expectedValue=<optimized out>, futex=...) at thread/qfutex_p.h:135
#3  0x00007fab3336ad44 in futexSemaphoreTryAcquire_loop<false>(QBasicAtomicInteger<unsigned long long>&, unsigned long long, unsigned long long, int) (timeout=-1, nn=8589934593, curValue=<optimized out>, u=...) at thread/qsemaphore.cpp:219
#4  0x00007fab3336ad44 in futexSemaphoreTryAcquire<false>(QBasicAtomicInteger<unsigned long long>&, int, int) (timeout=-1, n=n@entry=1, u=...) at thread/qsemaphore.cpp:262
#5  0x00007fab3336ad44 in QSemaphore::acquire(int) (this=this@entry=0x7faaa321b100, n=n@entry=1) at thread/qsemaphore.cpp:326
#6  0x00007fab33592fae in doActivate<false>(QObject*, int, void**) (sender=0x5632dde1cb10, signal_index=5, argv=0x7faaa321b120) at kernel/qobject.cpp:3851
#7  0x00007fab3358d8a2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x5632dde1cb10, m=m@entry=0x7fab317ad380 <QHttpThreadDelegate::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x0) at kernel/qobject.cpp:3930
#8  0x00007fab31552903 in QHttpThreadDelegate::encrypted() (this=this@entry=0x5632dde1cb10) at .moc/moc_qhttpthreaddelegate_p.cpp:516
#9  0x00007fab314ab6eb in QHttpThreadDelegate::encryptedSlot() (this=0x5632dde1cb10) at access/qhttpthreaddelegate.cpp:709
#10 0x00007fab31553a8d in QHttpThreadDelegate::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qhttpthreaddelegate_p.cpp:247
#11 0x00007fab33592dc9 in doActivate<false>(QObject*, int, void**) (sender=0x7faa9c088a50, signal_index=3, argv=0x7faaa321b310) at kernel/qobject.cpp:3882
#12 0x00007fab3358d8a2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=<optimized out>, m=m@entry=0x7fab317ad1c0 <QHttpNetworkReply::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3930
#13 0x00007fab315519b0 in QHttpNetworkReply::encrypted() (this=<optimized out>) at .moc/moc_qhttpnetworkreply_p.cpp:343
#14 0x00007fab314a1899 in QHttpNetworkConnectionChannel::_q_encrypted() (this=0x7faa9c04f838) at access/qhttpnetworkconnectionchannel.cpp:1284
#15 0x00007fab314a2145 in QHttpNetworkConnectionChannel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qhttpnetworkconnectionchannel_p.cpp:133
#16 0x00007fab33592dc9 in doActivate<false>(QObject*, int, void**) (sender=0x7faa58005510, signal_index=15, argv=0x7faaa321b480) at kernel/qobject.cpp:3882
#17 0x00007fab3358d8a2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x7faa58005510, m=m@entry=0x7fab317ac100 <QSslSocket::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3930
#18 0x00007fab31516d30 in QSslSocket::encrypted() (this=this@entry=0x7faa58005510) at .moc/moc_qsslsocket.cpp:306
#19 0x00007fab3154c02f in QSslSocketBackendPrivate::continueHandshake() (this=0x7faa9c040df0) at ssl/qsslsocket_openssl11.cpp:264
#20 0x00007fab315411db in QSslSocketBackendPrivate::startHandshake() (this=this@entry=0x7faa9c040df0) at ssl/qsslsocket_openssl.cpp:1349
#21 0x00007fab3154181d in QSslSocketBackendPrivate::transmit() (this=0x7faa9c040df0) at ssl/qsslsocket_openssl.cpp:1011
#22 0x00007fab3151d761 in QSslSocket::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qsslsocket.cpp:181
#23 0x00007fab33592dc9 in doActivate<false>(QObject*, int, void**) (sender=0x7faa9c0b5840, signal_index=3, argv=0x7faaa321c720) at kernel/qobject.cpp:3882
#24 0x00007fab3358d8a2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x7faa9c0b5840, m=m@entry=0x7fab33a22380 <QIODevice::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3930
#25 0x00007fab33481bf0 in QIODevice::readyRead() (this=this@entry=0x7faa9c0b5840) at .moc/moc_qiodevice.cpp:190
#26 0x00007fab314e7ff3 in QAbstractSocketPrivate::emitReadyRead(int) (this=this@entry=0x7faa9c050420, channel=channel@entry=0) at socket/qabstractsocket.cpp:1307
#27 0x00007fab314e809c in QAbstractSocketPrivate::canReadNotification() (this=0x7faa9c050420) at socket/qabstractsocket.cpp:734
#28 0x00007fab314fb6b1 in QReadNotifier::event(QEvent*) (this=<optimized out>, e=<optimized out>) at socket/qnativesocketengine.cpp:1274
#29 0x00007fab34d328bc in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x5632d9f34ba0, receiver=receiver@entry=0x5632daa39820, e=e@entry=0x7faaa321ca40) at kernel/qapplication.cpp:3684
#30 0x00007fab34d39ac0 in QApplication::notify(QObject*, QEvent*) (this=0x7ffd1efc73d0, receiver=0x5632daa39820, e=0x7faaa321ca40) at kernel/qapplication.cpp:3430
#31 0x00007fab33557db8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x5632daa39820, event=0x7faaa321ca40) at kernel/qcoreapplication.cpp:1092
#32 0x00007fab33557f8e in QCoreApplication::sendEvent(QObject*, QEvent*) (receiver=<optimized out>, event=event@entry=0x7faaa321ca40) at kernel/qcoreapplication.cpp:1487
#33 0x00007fab335b7c88 in socketNotifierSourceDispatch(GSource*, GSourceFunc, gpointer) (source=0x7faa9c003f50) at kernel/qeventdispatcher_glib.cpp:107
#34 0x00007fab2cff5417 in g_main_context_dispatch () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#35 0x00007fab2cff5650 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#36 0x00007fab2cff56dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#37 0x00007fab335b70bc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7faa9c000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#38 0x00007fab3355663a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7faaa321cc60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#39 0x00007fab33367317 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#40 0x00007fab333687ec in QThreadPrivate::start(void*) (arg=0x5632dab2b800) at thread/qthread_unix.cpp:342
#41 0x00007fab2f1936db in start_thread (arg=0x7faaa321d700) at pthread_create.c:463
#42 0x00007fab32c5d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007fab2d03a2b0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fab2cff50b7 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fab2cff5570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fab2cff56dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fab335b70db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7faaa8000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fab3355663a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7faaf4939c60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#7  0x00007fab33367317 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#8  0x00007fab333687ec in QThreadPrivate::start(void*) (arg=0x5632da9fc750) at thread/qthread_unix.cpp:342
#9  0x00007fab2f1936db in start_thread (arg=0x7faaf493a700) at pthread_create.c:463
#10 0x00007fab32c5d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007fab2cff55c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fab2cff5962 in g_main_loop_run () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fab2bf7b276 in  () at /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007fab2d01d175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fab2f1936db in start_thread (arg=0x7faafced4700) at pthread_create.c:463
#6  0x00007fab32c5d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007fab2d03a2b0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fab2cff50b7 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fab2cff5570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fab2cff56dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fab2cff5721 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007fab2d01d175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007fab2f1936db in start_thread (arg=0x7faafd6d5700) at pthread_create.c:463
#8  0x00007fab32c5d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007fab2d03a2b0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fab2cff50b7 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fab2cff5570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fab2cff56dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fab335b70db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fab00000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fab3355663a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fab0e209bf0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#7  0x00007fab33367317 in QThread::exec() (this=this@entry=0x5632da555410) at thread/qthread.cpp:536
#8  0x00007fab36b40a86 in QQuickPixmapReader::run() (this=0x5632da555410) at util/qquickpixmapcache.cpp:987
#9  0x00007fab333687ec in QThreadPrivate::start(void*) (arg=0x5632da555410) at thread/qthread_unix.cpp:342
#10 0x00007fab2f1936db in start_thread (arg=0x7fab0e20a700) at pthread_create.c:463
#11 0x00007fab32c5d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007fab2f1999f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5632da23d078, cond=0x5632da23d0a0) at pthread_cond_wait.c:502
#2  0x00007fab2f1999f3 in __pthread_cond_wait (cond=0x5632da23d0a0, mutex=0x5632da23d078) at pthread_cond_wait.c:655
#3  0x00007fab11125ecb in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007fab11125ac7 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007fab2f1936db in start_thread (arg=0x7fab0fa88700) at pthread_create.c:463
#6  0x00007fab32c5d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007fab2cff5570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fab2cff56dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fab335b70db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fab14000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fab3355663a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fab1bffec40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007fab33367317 in QThread::exec() (this=this@entry=0x5632d9fd0ad0) at thread/qthread.cpp:536
#6  0x00007fab34892605 in QQmlThreadPrivate::run() (this=0x5632d9fd0ad0) at qml/ftw/qqmlthread.cpp:155
#7  0x00007fab333687ec in QThreadPrivate::start(void*) (arg=0x5632d9fd0ad0) at thread/qthread_unix.cpp:342
#8  0x00007fab2f1936db in start_thread (arg=0x7fab1bfff700) at pthread_create.c:463
#9  0x00007fab32c5d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007fab2cff4b28 in g_main_context_prepare () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fab2cff54fb in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fab2cff56dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fab335b70db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fab1c000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fab3355663a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fab21704c30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007fab33367317 in QThread::exec() (this=this@entry=0x7fab356d1da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:536
#7  0x00007fab35459555 in QDBusConnectionManager::run() (this=0x7fab356d1da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007fab333687ec in QThreadPrivate::start(void*) (arg=0x7fab356d1da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:342
#9  0x00007fab2f1936db in start_thread (arg=0x7fab21705700) at pthread_create.c:463
#10 0x00007fab32c5d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007fab2f1999f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5632da9d18a0, cond=0x5632da9d18c8) at pthread_cond_wait.c:502
#2  0x00007fab2f1999f3 in __pthread_cond_wait (cond=0x5632da9d18c8, mutex=0x5632da9d18a0) at pthread_cond_wait.c:655
#3  0x00007fab3336ed9b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x5632da9d18a0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007fab3336ed9b in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x5632da9d1870, mutex=mutex@entry=0x5632da9d1848, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fab3336b4b7 in QThreadPoolPrivate::waitForDone(QDeadlineTimer const&) (this=this@entry=0x5632da9d17f0, timer=...) at thread/qthreadpool.cpp:311
#6  0x00007fab3336b8e6 in QThreadPoolPrivate::waitForDone(int) (this=0x5632da9d17f0, msecs=msecs@entry=-1) at thread/qthreadpool.cpp:321
#7  0x00007fab3336b969 in QThreadPool::waitForDone(int) (this=this@entry=0x5632da9ceb10, msecs=msecs@entry=-1) at thread/qthreadpool.cpp:693
#8  0x00007fab3336b98c in QThreadPool::~QThreadPool() (this=0x5632da9ceb10, __in_chrg=<optimized out>) at thread/qthreadpool.cpp:473
#9  0x00007faaf75e23a3 in FlatpakBackend::~FlatpakBackend() (this=0x5632da9ceab0, __in_chrg=<optimized out>) at ./libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp:124
#10 0x00007faaf75e2459 in FlatpakBackend::~FlatpakBackend() (this=0x5632da9ceab0, __in_chrg=<optimized out>) at ./libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp:133
#11 0x00007fab3715c56e in qDeleteAll<QTypedArrayData<AbstractResourcesBackend*>::const_iterator>(QTypedArrayData<AbstractResourcesBackend*>::const_iterator, QTypedArrayData<AbstractResourcesBackend*>::const_iterator) (end=..., begin=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qalgorithms.h:320
#12 0x00007fab3715c56e in qDeleteAll<QVector<AbstractResourcesBackend*> >(QVector<AbstractResourcesBackend*> const&) (c=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qalgorithms.h:328
#13 0x00007fab3715c56e in ResourcesModel::~ResourcesModel() (this=0x5632da0156a0, __in_chrg=<optimized out>) at ./libdiscover/resources/ResourcesModel.cpp:124
#14 0x00007fab3715c639 in ResourcesModel::~ResourcesModel() (this=0x5632da0156a0, __in_chrg=<optimized out>) at ./libdiscover/resources/ResourcesModel.cpp:125
#15 0x00007fab3358aeb5 in QObject::event(QEvent*) (this=0x5632da0156a0, e=0x5632daa3d840) at kernel/qobject.cpp:1326
#16 0x00007fab34d328bc in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x5632d9f34ba0, receiver=receiver@entry=0x5632da0156a0, e=e@entry=0x5632daa3d840) at kernel/qapplication.cpp:3684
#17 0x00007fab34d39ac0 in QApplication::notify(QObject*, QEvent*) (this=0x7ffd1efc73d0, receiver=0x5632da0156a0, e=0x5632daa3d840) at kernel/qapplication.cpp:3430
#18 0x00007fab33557db8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x5632da0156a0, event=0x5632daa3d840) at kernel/qcoreapplication.cpp:1092
#19 0x00007fab33557f8e in QCoreApplication::sendEvent(QObject*, QEvent*) (receiver=receiver@entry=0x5632da0156a0, event=event@entry=0x5632daa3d840) at kernel/qcoreapplication.cpp:1487
#20 0x00007fab3355aa31 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=receiver@entry=0x0, event_type=event_type@entry=52, data=0x5632d9f30220) at kernel/qcoreapplication.cpp:1832
#21 0x00007fab3355afc8 in QCoreApplication::sendPostedEvents(QObject*, int) (receiver=receiver@entry=0x0, event_type=event_type@entry=52) at kernel/qcoreapplication.cpp:1691
#22 0x00007fab3355b011 in QCoreApplicationPrivate::execCleanup() (this=<optimized out>) at kernel/qcoreapplication.cpp:1422
#23 0x00007fab3355fdc9 in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1404
#24 0x00005632d8c0e582 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./discover/main.cpp:183
Comment 9 Aleix Pol 2020-04-03 13:58:06 UTC
Git commit 498e6d6ec51dd7faaf65dd349cd4435f5d940f19 by Aleix Pol.
Committed on 03/04/2020 at 13:54.
Pushed by apol into branch 'Plasma/5.18'.

flatpak: Don't issue commands when cancelled

M  +4    -0    libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp

https://commits.kde.org/discover/498e6d6ec51dd7faaf65dd349cd4435f5d940f19